<?php
if (!defined('MEDIAWIKI')) die("MediaWiki extensions cannot be run directly.");
if (!defined('WikiDB')) {
	die("The WikiDB extension has not been set up correctly.<br>'"
		. basename(__FILE__) . "' should not be included directly.<br>Instead, "
		. "add the following to LocalSettings.php: "
		. "<tt><b>include_once(\"WikiDB/WikiDB.php\");</b></tt>");
}
/**
 * Messages used in the WikiDB extension.
 *
 * @package MediaWiki
 * @subpackage Extensions
 *
 * @author Mark Clements <mclements at kennel17 dot co dot uk>
 * @copyright Copyright  2006-2013, Mark Clements
 * @license http://creativecommons.org/licenses/by-sa/2.5/ cc-by-sa 2.5 or later
 * @version $Rev: 792 $
 */

$messages = array();

$messages['en'] = array(

	// WikiDB general interface messages
		'nstab-wikidb-tabledef'		=> "Table definition",
		'nstab-wikidb-tabledata'	=> "Data ($1 {{PLURAL: $1|record|records}})",

	// Table definition page
		'wikidb-tabledef-sourceheading'		=> "Source",
		'wikidb-tabledef-aliasesheading'	=> "Aliases",
		'wikidb-tabledef-definitionheading'	=> "Definition",

		'wikidb-tabledef-field'		=> "Field",
		'wikidb-tabledef-type'		=> "Type",
		'wikidb-tabledef-foreignkey'=> "Foreign Key",
		'wikidb-tabledef-comment'	=> "Comment",
		'wikidb-tabledef-alias'		=> "Alias",

		'wikidb-tabledef-nofields'	=> "No fields defined.",

	// Data-related messages
		'wikidb-tabledata-heading'	=> "Viewing data for $1",
		'wikidb-nodata'				=> "(No records were found)",

	// Messages for special page 'UndefinedTables'
		'undefinedtables' 					=> "Undefined tables",
		'undefinedtables-header'
				=> "'''This page lists all undefined tables on the "
				   . "wiki.'''<br>These tables contain data, but have no "
				   . "definition, and are ordered by the number of rows of data "
				   . "they contain.",
		'undefinedtables-none' 				=> "No entries were found.",
		'undefinedtables-record' 			=> "$1 {{PLURAL: $1|record|records}}",

	// Messages for special page 'EmptyTables'
		'emptytables' 					=> "Empty tables",
		'emptytables-header'
					=> "'''This page lists all empty tables on the "
					   . "wiki.'''<br>These tables have a definition but contain "
					   . "no data.",
		'emptytables-none' 				=> "No entries were found.",

	// Messages for special page 'AllTables'
		'alltables' 					=> "All defined tables",
		'alltables-header'
					=> "'''This page lists all tables that have a "
					 . "definition on the wiki, ordered alphabetically.'''",
		'alltables-none' 				=> "No entries were found.",
		'alltables-record' 				=> "$1 {{PLURAL: $1|record|records}}",

);
