-------------------------------------------------------------------------------------
-- SCHEMA UPDATE FOR WIKIDB EXTENSION [2010-05-16]
-- $Rev: 776 $
-- This update adds two columns and one index to wikidb_tables which are used to 
-- cache redirect information, in order to enable the table aliases functionality.
-- See the main tables.sql file for more details.
-------------------------------------------------------------------------------------
-- You are strongly recommended to use the supplied install/update scripts rather
-- than running this code directly.
--
-- /*$wgDBprefix*/ should be replaced with the DB prefix you are using for
-- your MediaWiki installation (if relevant).
-- This will be done automatically if you use the install/update scripts.
--
-- /*$wgDBTableOptions*/ is used in later versions of MediaWiki to set the
-- default table options, and will vary depending on the type of DB being
-- used (mysql/postgres/etc).
-------------------------------------------------------------------------------------

ALTER TABLE /*$wgDBprefix*/wikidb_tables

	ADD			redirect_namespace	 	int DEFAULT NULL,
	ADD			redirect_title 			varchar(255) binary DEFAULT NULL,
	ADD INDEX 	redirect_ns_title		(redirect_namespace,redirect_title);
